%define takaofontdir	%{_datadir}/fonts/japanese/takao/
%define ricohfontdir    %{_datadir}/fonts/japanese/ricoh/

Summary: Takao TrueType Japanese Font Package
Name: takao-fonts
Version: 003.02.01
Release: 2%{?dist}
License: IPA Font License
Group: User Interface/X
BuildArch: noarch
URL: https://launchpad.net/takao-fonts
Source0: %{name}-ttf-%{version}.zip
Source1: fonts.alias.ricoh
Source2: 65-takao-fonts.conf
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prereq: fontconfig
Prereq: /usr/sbin/chkfontpath /usr/X11R6/bin/mkfontdir /usr/bin/ttmkfdir
Provides: ricoh-fonts = 3.02.01
Provides: ipa-fonts = %{version}

%description
Takao Fonts are a community developed derivatives of IPA Fonts.
The main purpose of this project is to secure the possibility 
to maintain the fonts by the community.

It also includes fonts.alias files to replace ricoh-fonts.

%prep
%setup -q -n %{name}-ttf-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{takaofontdir}
install -m 0644 TakaoExGothic.ttf $RPM_BUILD_ROOT%{takaofontdir}/
install -m 0644 TakaoExMincho.ttf $RPM_BUILD_ROOT%{takaofontdir}/
install -m 0644 TakaoGothic.ttf $RPM_BUILD_ROOT%{takaofontdir}/
install -m 0644 TakaoMincho.ttf $RPM_BUILD_ROOT%{takaofontdir}/
install -m 0644 TakaoPGothic.ttf $RPM_BUILD_ROOT%{takaofontdir}/
install -m 0644 TakaoPMincho.ttf $RPM_BUILD_ROOT%{takaofontdir}/

touch $RPM_BUILD_ROOT%{takaofontdir}/fonts.dir
touch $RPM_BUILD_ROOT%{takaofontdir}/fonts.scale
touch $RPM_BUILD_ROOT%{takaofontdir}/fonts.cache-1
install -m 0755 -d %{buildroot}%{_sysconfdir}/fonts/conf.d
install -m 0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/fonts/conf.d

# ricoh-fonts aliases
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{takaofontdir}/fonts.alias
mkdir -p $RPM_BUILD_ROOT%{ricohfontdir}
pushd $RPM_BUILD_ROOT%{ricohfontdir}
	ln -s ../takao/TakaoGothic.ttf HGJGBBMP.TTF
	ln -s ../takao/TakaoMincho.ttf HGJMLBMP.TTF
	ln -s ../takao/TakaoExGothic.ttf hgpgb.ttf
	ln -s ../takao/TakaoExMincho.ttf hgpml.ttf
popd

%clean
rm -rf $RPM_BUILD_ROOT

%post
{
	umask 133
	test -w %{takaofontdir} && {
		/usr/bin/ttmkfdir -d %{takaofontdir} -o %{takaofontdir}/fonts.scale
		mkfontdir %{takaofontdir}
		/usr/sbin/chkfontpath -q -a %{takaofontdir}
	}

	HOME=/root fc-cache 2>/dev/null
}

%postun
{
	if [ "$1" = "0" ];
	then
		/usr/sbin/chkfontpath -q -r %{takaofontdir}
	fi
	HOME=/root fc-cache 2>/dev/null
}

%files
%doc README* IPA_Font_License_Agreement_v1.0.txt
%defattr(-,root,root,-)
%dir %{takaofontdir}
%dir %{ricohfontdir}
%{takaofontdir}/*.ttf
%{ricohfontdir}/*
%config(noreplace) %verify(not md5 size mtime) %{takaofontdir}/fonts.alias
%ghost %verify(not md5 size mtime) %{takaofontdir}/fonts.cache-1
%ghost %verify(not md5 size mtime) %{takaofontdir}/fonts.dir
%ghost %verify(not md5 size mtime) %{takaofontdir}/fonts.scale
%config(noreplace) %{_sysconfdir}/fonts/conf.d/65-takao-fonts.conf

%changelog
* Fri Apr 22 2011 Ryoji Kamei <ryoji.kamei@miraclelinux.com> 003.02.01-2%{?dist}
- Add missing documents

* Thu Feb  3 2011 Ryoji Kamei <ryoji.kamei@miraclelinux.com> 003.02.01-1%{?dist}
- Initial build for Asianux Server 3 SP4
- It will not overwrite existing ricoh-fonts, but it provides functionality
  of ricoh-fonts for new installation.
-   * Provides ricoh-fonts dependency on the package
-   * Provides the fonts.alias file
-   * Provides symlinks for xpdf/kpdf because they will read font file directly
-   * Provides 65-takao-fonts.conf for fontconfig. It will provides Ricoh
-     font family virtually. (It can be checked by "fc-match".)
-   * NOTE: It has no longer provided Ricoh font name for new configuration.
      It will only adapt font queries from existing configurations.
      (see "fc-list" output)



